Should I upgrade firmware after installing OpenWrt? [Snapshot]

So I am using Archer A9 1900 from TP-Link. I can only use the snapshot version it seems. I installed everything and setup LuCI too. Should I now use the other upgrade link and upgrade the firmware again now? or is this good enough?

There is nothing to upgrade to, except the next nightly build.

2 Likes

The upcoming stable release has support for your device, so I'd recommend you use that.

https://downloads.openwrt.org/releases/22.03-SNAPSHOT/targets/ath79/generic/

You can use sysupgrade -n on those images from within OpenWrt. Once 22.03 gets its first release, you can switch to that painlessly.

2 Likes

Ah yeah, right now I can't use my 2.4Ghz radio with OpenWrt as it doesn't support it yet. Will it be able to support that too in the next stable version?

That seems unlikely, as 22.03 is based on an older master snapshot (a few months ago). If 2,4 GHz is broken on master, it won't work on 22.03, unless it's a recent regression. I checked the git commit though, it doesn't say anything about 2,4 GHz not being supported - maybe it is supposed to be, or it was an ommisson on the developer's part.

@pepe2k Could you comment on the state of the 2,4 GHz radio?

1 Like

You might want to check this too @Borromini TP-LINK_Archer_A9_v6.x - #17 by pepe2k

1 Like

Known issue then :slight_smile:.